<?php

namespace Seb\Baltic\Block;

use Seb\Baltic\Model\Adminhtml\Source\Environment;

class Apple extends \Magento\Framework\View\Element\Template
{
    /**
     * @var \Seb\Baltic\Model\Config
     */
    protected $config;

    /**
     * @param \Magento\Framework\View\Element\Template\Context $context
     * @param \Seb\Baltic\Model\Config $config
     * @param array $data
     */
    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \Seb\Baltic\Model\Config $config,
        array $data = []
    ) {
        $this->config = $config;

        parent::__construct($context, $data);
    }

    /**
     * @return string
     */
    public function getAppleJsFile()
    {
        return $this->config->getEnvironment() == Environment::ENVIRONMENT_TEST ? 'https://igw-demo.every-pay.com/apple_pay/apple-pay-client-1.4.js' : 'https://pay.every-pay.eu/apple_pay/apple-pay-client-1.4.js';
    }
    
    /**
     * Get the cancelling url
     *
     * @return string
     */
    public function getCancelUrl()
    {
        return $this->getUrl('baltic/payment/cancel', ['cancel' => '1']);
    }
    
    /**
     * @return string
     */
    public function getAppleButtonStyle()
    {
        return $this->config->getAppleButton();
    }
}