<?php

namespace Seb\Baltic\Block;

use Seb\Baltic\Model\Adminhtml\Source\Environment;
use Seb\Baltic\Model\Config;
use Magento\Framework\View\Element\Template\Context;

class Sdk extends \Magento\Framework\View\Element\Template
{
    const SDK_PATH = 'payment_elements/everypay-sdk-v1-0-0.umd.js';

    /**
     * @var Config
     */
    protected $config;

    /**
     * @param Context $context
     * @param Config $config
     * @param array $data
     */
    public function __construct(
        Context $context,
        Config $config,
        array $data = []
    ) {
        $this->config = $config;

        parent::__construct($context, $data);
    }

    /**
     * Get the URL for the SDK Js File
     *
     * @return string
     */
    public function getSdkJsFile()
    {
        $baseUrl = $this->config->getEnvironment() === Environment::ENVIRONMENT_TEST ?
            'https://pay.every-pay.eu/' : 'https://igw-demo.every-pay.com/';

        return  $baseUrl . self::SDK_PATH;
    }
}
