<?php

namespace Seb\Baltic\Controller\Methods;

use Magento\Framework\Controller\ResultFactory;

/**
 * Class Index
 */
class Index extends \Magento\Framework\App\Action\Action
{
    /**
     * @var \Seb\Baltic\Model\CheckoutData
     */
    protected $checkoutData;

    /**
     * @param \Magento\Framework\App\Action\Context $context
     * @param \Seb\Baltic\Model\CheckoutData $checkoutData
     */
    public function __construct(
        \Magento\Framework\App\Action\Context $context,
        \Seb\Baltic\Model\CheckoutData $checkoutData
    ) {
        $this->checkoutData = $checkoutData;
        parent::__construct($context);
    }

    /**
     * {@inheritDoc}
     */
    public function execute()
    {
        $result = $this->resultFactory->create(ResultFactory::TYPE_JSON);

        if ($this->getRequest()->isXmlHttpRequest()) {
            $checkoutData = $this->checkoutData->getCheckoutData();
            if ($checkoutData['amount']) {
                $result->setData($checkoutData);
                $result->setHttpResponseCode(200);
                return $result;
            }
        }

        $result->setHttpResponseCode(400);
        return $result;
    }
}
