<?php

namespace Seb\Baltic\Controller\Payment;

use Magento\Framework\Controller\ResultFactory;

/**
 * Class Cancel
 */
class Cancel extends \Magento\Framework\App\Action\Action
{
    /**
     * @var \Seb\Baltic\Helper\ResponseHandler
     */
    protected $responseHandler;

    /**
     * @param \Magento\Framework\App\Action\Context $context
     * @param \Seb\Baltic\Helper\ResponseHandler $responseHandler
     */
    public function __construct(
        \Magento\Framework\App\Action\Context $context,
        \Seb\Baltic\Helper\ResponseHandler $responseHandler
    ) {
        $this->responseHandler = $responseHandler;
        parent::__construct($context);
    }

    /**
     * {@inheritDoc}
     */
    public function execute()
    {
        if ($this->getRequest()->getParam('cancel')) {
            $this->responseHandler->handleResponse(['cancel' => 1]);
        }
        $resultRedirect = $this->resultFactory->create(ResultFactory::TYPE_REDIRECT);
        return $resultRedirect->setPath('checkout/cart');
    }
}