<?php

namespace Seb\Baltic\Model\Form;

use Magento\Framework\Exception\LocalizedException;

class IntegrationData extends AbstractData
{
    /**
     * @var \Magento\Framework\App\ProductMetadataInterface
     */
    protected $productMetaData;

    /**
     * @param \Magento\Sales\Api\OrderRepositoryInterface $orderRepository
     * @param \Seb\Baltic\Model\Config $config
     * @param \Magento\Framework\App\ProductMetadataInterface $productMetaData
     */
    public function __construct(
        \Magento\Sales\Api\OrderRepositoryInterface $orderRepository,
        \Seb\Baltic\Model\Config $config,
        \Magento\Framework\App\ProductMetadataInterface $productMetaData
    ) {
        $this->productMetaData = $productMetaData;
        parent::__construct($orderRepository, $config);
    }

    /**
     * @param int $orderId
     * @return array
     * @throws LocalizedException
     */
    public function getFields($orderId = null)
    {
        $subFields = [
            'integration' => 'SEB Plugin',
            'version' => '3.0.0',
            'software' => 'Magento ' . $this->productMetaData->getVersion(),
        ];

        foreach ($subFields as $field => $value) {
            if (empty($value)) {
                throw new LocalizedException(__('Required field %1 is missing', $field));
            }
        }

        return ['integration_details' => $subFields];
    }

}
