<?php

namespace Seb\Baltic\Observer;

use Seb\Baltic\Model\PaymentMethod;
use Seb\Baltic\Helper\OrderPaymentMethod;
use Magento\Framework\Event\Observer;
use Magento\Framework\Event\ObserverInterface;

class SalesOrderPlaceAfter implements ObserverInterface
{
    /**
     * @var OrderPaymentMethod
     */
    protected $orderPaymentMethod;

    /**
     * SalesOrderPlaceAfter constructor.
     *
     * @param OrderPaymentMethod $orderPaymentMethod
     */
    public function __construct(
        OrderPaymentMethod  $orderPaymentMethod
    ) {
        $this->orderPaymentMethod = $orderPaymentMethod;
    }

    /**
     * @inheritDoc
     */
    public function execute(Observer $observer)
    {
        $order = $observer->getEvent()->getOrder();
        $payment = $order->getPayment();
        if ($payment === null || $payment->getMethod() !== PaymentMethod::CODE) {
            return;
        }

        $this->orderPaymentMethod->updateByOrder($order);
    }
}
