<?php

namespace Seb\Baltic\Observer;

use Seb\Baltic\Model\Gateway;
use Magento\Framework\Event\Observer;
use Magento\Framework\Event\ObserverInterface;
use Magento\Framework\Exception\LocalizedException;

class SaveConfigObserver implements ObserverInterface
{
    /**
     * @var Gateway
     */
    private $api;

    /**
     * SaveConfigObserver constructor.
     *
     * @param Gateway $api
     */
    public function __construct(
        Gateway $api
    ) {
        $this->api = $api;
    }

    /**
     * Fetch the latest payment methods.
     *
     * @param Observer $observer
     *
     * @return void
     */
    public function execute(Observer $observer)
    {
        try {
            $this->api->updatePaymentMethods();
        } catch (LocalizedException $e) {}
    }
}
