define(
    [
        'jquery',
        'Magento_Checkout/js/model/full-screen-loader',
        'Magento_Ui/js/modal/alert',
        'mage/translate',
        'Magento_Customer/js/customer-data'
    ],
    function ($, fullScreenLoader, magentoAlert, $t, customerData) {
        'use strict';

        return function (data, isCardMethod) {
        	if (Array.isArray(data)) {
				magentoAlert({
	                title: $t('Error'),
	                content: data['msg'],
	                actions: {
	                    always: function () {
	                        var url = data['url'];
	                        window.location.replace(url);
	                    }
	                }
                });
                return false;
        	} else {
	        	if (window.checkoutConfig.payment.baltic.isIFrame && isCardMethod) {
            		window.frames["baltic-payment-container"].location = data;
	        		$('#baltic-popup').modal('openModal');
                    fullScreenLoader.stopLoader();
	            } else {
                    customerData.invalidate(['cart']);
	                window.location.replace(data);
	            	fullScreenLoader.stopLoader();
	            }
        	}
            return true;
        };
    }
);