define(
    [
        'mage/translate',
        'Magento_Ui/js/modal/alert',
        'Magento_Checkout/js/model/payment/additional-validators',
        'Magento_Checkout/js/model/quote',
    ],
    function(
        $t,
        magentoAlert,
        additionalValidators,
        quote
    ) {
        return {
            validateSession: function() {
                const billingAddress = quote.billingAddress();

                if (!billingAddress.city || !billingAddress.countryId || !billingAddress.postcode) {
                    magentoAlert({
                        title: $t('Error'),
                        content: $t('Your session has expired'),
                        actions: {
                            always: function () {
                                window.location.replace(window.checkoutConfig.checkoutUrl);
                            }
                        }
                    });

                    return false;
                }

                return true;
            },

            validate: function() {
                return this.validate && additionalValidators.validate(false);
            }
        };
    }
);
