define(
    [
        'ko',
        'Magento_Checkout/js/model/quote',
        'Magento_Customer/js/model/customer',
    ],
    function(
        ko,
        quote,
        customer
    ) {
        'use strict';

        return {
            getBillingCountry: function(defaultCountry = null) {
                if (!defaultCountry || defaultCountry === 'default') {
                    return quote.billingAddress().countryId;
                }

                return defaultCountry;
            },

            getEmailAddress: function() {
                if (customer.isLoggedIn()) {
                    return customer.customerData.email;
                } else {
                    return quote.guestEmail;
                }
            },

            getObservableEmailAddress: function() {
                const email = this.getEmailAddress();

                return ko.observable(email);

                // if (customer.isLoggedIn()) {
                //     return ko.observable(email);
                // } else {
                //     return email;
                // }
            }
        }
    }
)
